Belune
Volumes & Backups

Update Config

PUT
/api/projects/{projectId}/applications/{applicationId}/volumes/{volumeId}/backup-configs/{configId}
AuthorizationBearer <token>

Personal access token whose scope satisfies write.

In: header

Path Parameters

projectId*string
Formatuuid
applicationId*string
Formatuuid
volumeId*string
Formatuuid
configId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/applications/497f6eca-6276-4993-bfeb-53cbbbba6f08/volumes/497f6eca-6276-4993-bfeb-53cbbbba6f08/backup-configs/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "application_volume_id": "string",  "created_at": "2019-08-24T14:15:22Z",  "destination_id": "string",  "enabled": true,  "id": "string",  "keep_latest": 0,  "last_run_at": "2019-08-24T14:15:22Z",  "prefix": "string",  "quiesce": true,  "schedule": "string"}